Installazione Pacchetti [ *.rpm ] [ *.deb ] e quant'altro....

20 risposte [Ultimo messaggio]
Ritratto di Fabri555
Fabri555
(Junior)
Offline
Junior
Iscritto: 03/06/2008
Messaggi: 11

Salve ragazzi, ho grosse difficoltà a usare il terminale di linux, penso come molti utenti alle prime armi, quindi sono qui a chiedervi di spiegarmi perfavore come faccio a eseguire un pacchetto *.rpm o chicchessia! ... ho seguito la guida per l'instalalzione dei codec DIVX ma .. niente, mi da sempre segnale di errore, io ho una SUSE 10.3.
Grazie anticipatamente Laughing

Ritratto di Alfio
Alfio
(Guru)
Offline
Guru
Iscritto: 30/08/2005
Messaggi: 2678

Quale guida hai seguito?
Che tipo di errore ti appare?
Ciao
Big Grin

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Comunque ricorda che i punto deb non vanno installati sotto suse, dato che probabilmente contengono un albero delle directory diverso da quello di suse.

Quindi potresti trovare un file-system non piu` rispettoso delle strutture standard di suse e non e` detto che le cose funzionino, pur se l'installazione dovesse avere successo.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di Alfio
Alfio
(Guru)
Offline
Guru
Iscritto: 30/08/2005
Messaggi: 2678

Quote:

orion ha scritto:
Comunque ricorda che i punto deb non vanno installati sotto suse, dato che probabilmente contengono un albero delle directory diverso da quello di suse.

Ad eccezione di un solo caso quando non ci sono pacchetti rpm puoi usare alien per convertirli in rpm o viceversa.
Ciao

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

Quote:

Alfio ha scritto:

Ad eccezione di un solo caso quando non ci sono pacchetti rpm puoi usare alien per convertirli in rpm o viceversa.
Ciao

Vero, ma meglio lavorare con gli rpm specifici per suse. Eventualmente, si puo` sempre chiedere ad anubis se puo` crearli, se per lui va bene.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di anubis
anubis
(Guru)
Offline
Guru
Iscritto: 07/04/2007
Messaggi: 3656

Quote:

orion ha scritto:
Quote:
Alfio ha scritto:

Ad eccezione di un solo caso quando non ci sono pacchetti rpm puoi usare alien per convertirli in rpm o viceversa.
Ciao

Vero, ma meglio lavorare con gli rpm specifici per suse. Eventualmente, si puo` sempre chiedere ad anubis se puo` crearli, se per lui va bene.

sono qui per voi..

altrimenti che uomo-packman sarei ???

OpenSUSE Member,Packman Packager, Education Project Admin, LXDE Project Admin
Powered by http://en.opensuse.org/HP_Pavilion_dv6855el

Ritratto di Fabri555
Fabri555
(Junior)
Offline
Junior
Iscritto: 03/06/2008
Messaggi: 11

...Ragazzi... ho risolto il problema del Media Player! ... Laughing

...sono andato nel sito ufficiale di VLC_Media Player e con un semplice ONE-CLICK mi ha installato il programma! funziona che è una meraviglia! mi legge la qualunque! :-P

Grazie Comunque a tutti dei consigli, alla prossimaaaa

Ritratto di Fabri555
Fabri555
(Junior)
Offline
Junior
Iscritto: 03/06/2008
Messaggi: 11

.ehhh purtroppo non te lo so dire perchè per adesso sono sotto Win, il SUSE l'ho instalalto in una seconda partizione, comunque quello che mi manca è proprio la sintassi completa per APRIRE dire a linux di INSTALLARLO e .. ovviamente usarlo.. io mi ricordoc he con Ubuntu 7.04 si scriveva una cosa come Sudo Make .. -.-' ahhhh non m elo ricordooo. Sad

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

La sintassi e` "sudo rpm -ivh nome_pacchetto".

Comunque la cosa piu` semplice, se e` possibile farla, e` aggiungere il repository che contiene tale pacchetto e installarlo via yast. Ti eviti tutti i problemi con le dipendenze.

Oppure potresti creare un repository locale con dentro tale rpm, aggiungere a yast tale repository e poi fare come sopra.

Per l'aggiunta di un repository o per la creazione di un repository locale, cerca nel forum. L'argomento e` gia` stato trattato varie volte.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde

Ritratto di Fabri555
Fabri555
(Junior)
Offline
Junior
Iscritto: 03/06/2008
Messaggi: 11

quindi in poche parole dovrei aprire yast da terminale ed successivamente aprire il pacchetto ! ^^ ... adesso provo! grazie mille!

Ritratto di orion
orion
(Guru)
Offline
Guru
Iscritto: 11/07/2006
Messaggi: 2919

No. Yast ti installa solo gli rpm contenuti nei repository, oppure, tramite il comando "yast2 -i nome_pacchetto" (dato come root in un terminale) ti installa il singolo pacchetto pescando le dipendenze dai repository, se riesce a soddisfarle.

Ah, sia per rpm -ivh che per yast2 -i, nome_pacchetto e` il nome completo (ad esempio VirtualBox-1.6.0_30421_openSUSE103-1.i586.rpm) e non il semplice nome (VirtualBox) e il comando deve essere dato nella directory che contiene tale pacchetto.

openSUSE 12.1 on Acer Aspire 1810tz - LXDE ultima versione dal repo x11:/lxde